apiVersion: v1
kind: ConfigMap
metadata:
  name: mariadb-my-cnf
  namespace: default
data:
  config: |
    [mariadb]
    bind-address=*
    default_storage_engine=InnoDB
    binlog_format=row
    innodb_autoinc_lock_mode=2
    wait_timeout=30
---
apiVersion: k8s.mariadb.com/v1alpha1
kind: MariaDB
metadata:
  name: mariadb
  namespace: default
spec:
  image: mariadb:11.8.2
  imagePullPolicy: IfNotPresent
  myCnfConfigMapKeyRef:
    key: config
    name: mariadb-my-cnf
  port: 3306
  replicas: 1
  resources:
    limits:
      cpu: 200m
      memory: 1024M
    requests:
      cpu: 50m
      memory: 128M
  rootPasswordSecretKeyRef:
    key: password
    name: mariadb-root-pass
    generate: true
  storage:
    size: 1Gi
